Bug 788971 - [abrt] libreoffice-writer-3.3.4.1-2.fc15: SwDocShell::ReconnectDdeLink: Process /usr/lib/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
[abrt] libreoffice-writer-3.3.4.1-2.fc15: SwDocShell::ReconnectDdeLink: Proce...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:945ecaac2a0d30c3cde0521bd7a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-09 07:49 EST by nomnex
Modified: 2012-05-04 16:28 EDT (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-3.3.4.1-4.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-04 16:28:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (22.98 KB, text/plain)
2012-02-09 07:49 EST, nomnex
no flags Details
File: maps (48.61 KB, text/plain)
2012-02-09 07:50 EST, nomnex
no flags Details
File: backtrace (73.30 KB, text/plain)
2012-02-09 07:50 EST, nomnex
no flags Details
sample files (38.62 KB, application/x-zip-compressed)
2012-02-09 09:42 EST, nomnex
no flags Details
sample_odm+odt_final (36.81 KB, application/zip)
2012-02-09 20:05 EST, nomnex
no flags Details
ABRT reports (print-screen) (102.14 KB, image/png)
2012-02-09 21:36 EST, nomnex
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 32575 None None None Never

  None (edit)
Description nomnex 2012-02-09 07:49:44 EST
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/lib/libreoffice/program/swriter.bin -writer
component:      libreoffice
crash_function: SwDocShell::ReconnectDdeLink
executable:     /usr/lib/libreoffice/program/swriter.bin
kernel:         2.6.41.10-3.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        libreoffice-writer-3.3.4.1-2.fc15
reason:         Process /usr/lib/libreoffice/program/swriter.bin was killed by signal 11 (SIGSEGV)
time:           Thu Feb  9 18:45:17 2012
uid:            500
username:       mt
xsession_errors: 

backtrace:      Text file, 75056 bytes
dso_list:       Text file, 23533 bytes
maps:           Text file, 49773 bytes

build_ids:
:ea7a72a614389191f6443fa5cdf749b574ff806f
:5833b2c02d2508612e94dde6bbb03529e72150cd
:6837a33495520cb55242839c31c38e85ea739450
:62520e3bf1b3629e9c995d9d67fed0c0c3dbbac5
:616482819c8102a6dcda9984f00de27b8b4e912e
:e0852951e47109d3cf086eeb1b36d2631f035fc5
:fb31201e4ad6f769742110c9c76a0f91babead66
:d6ef697e368f1b22719fc30b4fce0943f7198791
:4a5f6130e283c7d319ae09fab2a45adacc58737b
:139fcc5ee83d74b17dd8231eb72307d6bdca98ad
:515513934de7da2bed4bfc87a12a2c73978ef034
:5d10f24327f54ca096eb6f1189d1cff8867bf486
:43d6e19d8414e4394ab5a2024a0f627d70561040
:0df34d5d1dbd7a903b8943a435537a56d586fc1f
:9d3db34e590021058770f14a0ea3c9d87befc78e
:5029025b6ebdfbda731af5f2a0b8cac2b2aecf66
:a4065bc4e2e5580cae9aa9f498e7157c99a13f66
:bdc5c8a01cc07ca46b7162c2bc3452212f47e3c4
:a77aeb1523253a20b21969f21f092a0cb0edac89
:177452c458dbd4322d2fb524e0ede4fec9020580
:c3e073982d8393ab94c6324f5c2386b7fb7bd845
:15649b7f7418c962ca6d6bada2dba4313034131a
:c94914451c8a47c0520b2f4f0f1575fd5c2a9a96
:d19b5e5438048f9bfc6e36a3f986479f7e3ba4f1
:7265c79781944e1015ec359e94e9c3285064d61b
:44d125c082d38ca84874ff8ecb5ce2ffb98c639a
:e18695e040cee33414bc758c8716824d97f1ee7d
:a445b27cc0f26dbdaa450d915a126141a2548ae8
:d75b28c264b4ea21ba5aeb16a28b9cdf05e121d4
:5c165b778177c1826568f95359e7fd9f8be8e892
:6400f8b1506a2b01270ddb7fa0d07487fc7dbaa6
:34d715e2766f8694271730798a4b8e1605ec93ea
:a0b366e13cecd6a811ac0afa3481d443b583aa4c
:798697a352bae4178953ba502fb04f33dd0ed987
:ab404a713727d461dd29bfc83da5fc55d5005d9c
:b56d5d80f4fe12b19f5a3d7360c1122f8b66ed73
:92a9033bbedc303317346dc414914fec5643bd7b
:ab197b331403bd0e049166197790364c151f48c5
:84b057caeb7f80b34a00c58b3684cc85c66651c3
:3998c43f3efb344cedfb8a5dcceed62b970a406b
:d0fdb554ac4e6a1db508a6ccce982b4b46c3b8ec
:6f87ea21308989c674f40d270f35514bbed96401
:a7aae343911678f2cb7d2edb0528d39ebe15daaf
:2ac1e41121b3faac59d5161c69eed623fa21a785
:a5646789e4d6c5ca03bf708dc26c0535fc97b8c6
:d12e46b595608100a0f25959d86b4048a792a303
:37b6ae12c782e78ad8450b2cc126c822a538f9df
:e17b15a2753d4e06d006add1aa7aca91b4f94b70
:77223165276d004e3141dd8989d82c3283243baf
:32ddd1f7097ca3bd5fcf37630c03c80b00a05579
:3eb8e810326a3579f5ac6b4d58a4918316f2f5c9
:e4d360a98b09b1b49c18ec3b40f9bee994a03635
:34bbcf976f114034bfbaf0b19c8d6b86549e4eb4
:bcefbe2e874d9d347d53c39ed35ca6632d26cffe
:b51d82e58cf1d3dab20e44b114cfcf7ee1f31c74
:be2ac807704698d9bbe76bb8f050473c37ad4281
:3bb5461e019a8144f559a9512fa2a4575320872c
:ec93c5a33f28228134d75eb455279de136387f7a
:14553fd64c3391287f7266322d8706aebb7e3d5e
:98db6a2dbf772eb51299b70a85157fcecca19e2b
:d094738403cdbdabc781baa2576bbe51dc999c4f
:0803d0e3d96854db5d2b55808977a896473d8ed0
:e5f7bafec753ff34f4ee4bc395881d2292cf5256
:6e5b569d683e29274c7b273d3a3aabdd0b51deb6
:67d4100bfa1755f6cdbfa52883a080485e1aaad0
:dc46070be094b94edf51d36b8ac14dd294a191f6
:034afcfe2f63a8cbc5a8f0165aaf57d7de4738a8
:1b47c9674b04f5ab9d3c2448ea5d303a6fbae6a7
:b3456c28a680d2f3aa5e578fcb671a0d4f7d093d
:1a051c72e3aa7a4613cf92a5218309b789a96370
:2dc4e4ea515eca25191148452fac07de08443eb8
:2370bd392a02171fee1c9f70271b75eccea55a0f
:bb755998bf1d5ca19607818f62eab9947a9ea12b
:31024cbec110be467c530a13b4670809e1a459ae
:56dbf2b7630a34ab8e98d81362ac7348ec657f10
:34b862d028486f7ef49d37d0983c1ef23a6e0d87
:2e98893f9ea231d6d8caabc6227007266f22bfd6
:9cb799501817904cffaa20c5551b95a9188c3acc
:7ef6f832bef5a31bcd27c67efd5d56de39250dac
:48fd0c77d477dba9f2111c6c67292b7fac354f99
:bafa78ab1d10a3d207d35bdb5dd8a15cd9370876
:9f2249dd52fd26143e6731b6e0d637cb7af8390e
:98464a901199d98497dc14ed9d4b49024f1a55f5
:005fab9d23afe018d0991faec48d25027b814917
:1688b4be69683a8e4fa5b0200e59a0c1587d1a95
:23a3ef78efb28044e20e60be6e6db183c2886e92
:9e8d0634e39530743751ab3ff6cf2f146194921d
:59ec91c3f1d48120125f1fd07676d8aa793ff5fc
:1a03c3e25636673bfc6a847b154dcfcf8237f48f
:19b480706c2c0f615ac9a0dabbce6b0b38b35d26
:0c14e19cfa71be8dbee7582f9b90d4a5b886051e
:814bb2519685510d42c4a42ec84a4824f09378df
:7a675f9eb5076ce012e51e79d14f01617cd40407
:08aa0a6cdb60579855d9ae9ee026282f8a5b1c2b
:5996b53e720e89e139432cf6b8512c9980ff105e
:5761f5691de176d7a39784cb589354798bd4363f
:ac8cb5a14339fbe89bc0258532d06d9f8bb2541d
:9dce02bd28965aa6c033f9510711b14d9edff648
:2f0dc71d4194b9b73de04f4312a4606512ec1851
:1a00a5b8a9fce6ccdbdb002c0168b16331b3465a
:6f01721c75f278170d086901ef067329b51b746b
:35a36059e639f727a358cf6242d587db9982ca3d
:b6e37e77225975724619e5469c95d60f6db62e73
:2ab78e670fbfb30d1b90862fc60e46a3f474100f
:6cf1b72482c35b3340bd0899a78b2843a920b40a
:308007f76ae54481aeebded3e8254659c7f5ad44
:dfa11829a98ec31133742443cb574414a6e646d1
:83fe69c88511cf036f5f5b51fc3d906b2351d51e
:daacfbe42bfd23ef6a5e110bfded3f0fa0ecbe7c
:efa672deb8ffbaac5ca1509a9fb2b7e6e46d5a2d
:5d86d516501190bd56650ce243e9518a192cc4d6
:26883f508da875084090d8220f276dbda913957f
:eaf669142d6d403d74b04952ad7c51d12d53387b
:3bc1c6f1b027d37c5e84a8cd49d1e016140102d4
:5e00aa1f0868c1f4a575838991b81928e1185c3c
:8a9eb70c11cf848614f80236c95982b9d183d5c6
:addf53969db577b38f49d53087de6d0bf217d3b9
:221f2e86fe6f1b61fa6e6c8493b75e426257fd43
:376fdf9a5f535db23eeace694b475e08f69cbf9a
:ff72394ee27216c2380a40a6c86ba8474d269c94
:3129a9ad09731aa6dd47add2328ba88bff6d0be4
:3916277140a999990b996b61abecf586cbe365e8
:d5d6e2e0c06aad93d6805bd54ad91aa295fabddc
:07fcedef1f951a847d2662baf33cc75db56632db
:57ddd83e390b80342e80021886f6b0b211ce4697
:c25551e4f8f283ab55cb499112f486009e924d42
:7cde8206ad97ddf378cc9e6843180535983b0efc
:28ced74809dc8d585bf3847d59c41e59a902c635
:6227e87c8acc0f6d69e12fce0d94f9332c340d40
:0d2976aa6c21618928ed4c21b6ad33836e9b0260
:36485d725216692ec27486683f85b1604e590054
:23d1086014ed5544b3df4cee1f95694032252322
:d9076f89ed72d2d074e95e85274befc26d60b8c6
:1d16d79476cd7d725e85d9b5a5cc20268047f15c
:f0fd4298e3da825f5a38e48851779da96714acb2
:4c0ba71d9007d3b26fc6d165b9e55ba27f446434
:eb8e30ec17c865babb71d41e8725930cbcba042d
:5a8b124033539ce7c45bf0dabb44bc7e60ff0f8d
:55f0338dbb97f9276de6894e9f881baae27cbe56
:030b651bfa42f57fde8249f7c6d3ece6d1f57343
:4c6c4f2f09c7b6e35bf0004d50c9d5aa9d0bd269
:a739c636610f52dc2d1d9142d43a0a1ebc730f98
:e2f5c72cca035461bc22d0bb524a600c59ab68cf
:28b8cc9cda751c67558ec59cc16019154ebf56ae
:d607e479919ef3ab3035309763afb6ba5a379fbd
:1338ff37f78bf3276bf9ca5e612f4cea9b6992f1
:cc05d2ae4317f8f024aa390d7c339ec2a5e745b9
:7777be72e4df84d03fc195b11b6dc3cd38163c7f
:5351e799204bc5d533754fe7d48f79f3c5daf66b
:91aee342f31317dae412ddeeeb714b9facfed240
:95d9dc0ea30698bb178955a63391e239ced24914
:1576b719887087f8de5af8ebd4893f9314c43915
:ba52f8b979471761e223b1d08b2d724bf84ca340
:749d9a8993be25e8143831a364637d6911443d12
:c1e1c6d1bee26fcb02e24e4cddfd7cf0ebe7e719
:da6ff10d89a16fc99c6097a0a3e674af085a534f
:b286240914538c3e35ac762896c4330225d5e4e0
:c5c27f94f8144fef415a41df974f6531005558e7
:841352276cb09f80754969f201dc414f891db61f
:9b74e05fa75cf73df1da0c05a7b1528f0ec8a0f0
:8226c7f8c99b263a3e9873003c658cbd7f7805da
:c833d1602084a2aefe852c6c9838a2beea3d2280
:7787b86f9784dc1968f61124e20efb8a82019a56
:41b09f8f962de00a67681160231828203a6eb4fe
:48e569d801eb6098d7fb45603bb12159a877b4d4
:4946e9a1780f079c79bd497c0c9ff250b976fe15
:076dfaeddacedf3321b762db0b7e277345f5ffa6
:85557c4770ef71e2319dcce71f95ceb3e2d794e4
:f1b629a923ca6c3a3ad997a3b81201d0d9de2177
:2fc494e27cb7536ab1f0095e972045ae00d73061
:c4b1401cfe5cb644e384ea1192169d13b5e8fe32
:07fd351eaaba30fe082a836e29c03d5f11f45edd
:3dc6434da358998cc0bc04aa2f33babaeac6952c
:172e24f337d07bd7c090111a4c1b1085a951ea2f
:1f62cef82b36177238c0e6e6ad18a0487040cf0b
:992c88ca2858c1a81e88e8b7da6c41c52d3e012b
:d4ed128ec9cc651b27c63ad325cf95af24ee726f
:94c3da1e3566c757f6b87166fb7416db2dff479f
:4709482862f00637bedaf5eeda381d3c6ecf2996
:c2ae9a2b66150928978fbcc8e9c1368784ff6542
:eeebc4a8b50f57e5e6f614a3da1ecef696f1cb55
:15bab279752ad8e30f901abae77bcb1ed1f38977
:1ee4b38cfc9ae1d8c6d64517f007df989961149c
:861c80ccbb9ab2d931f572186ed2a192041f0081
:c6b65b640edd8ad6f0d5134b337962ea6e93bae3
:f7fe63818ff855ba246d1298b926a2c5437de32f
:723fc09112665b0abb85228bd48eb45f0ec403c7
:f95c30bb49bdd8ab0a3f5163134699c928e3bf9d
:faeafbb0d02c603f49b08b159d2331a82a61d208
:f4990d62b7d0de5bce3f44c487509f32f3f117d7
:7aac0dea5a1bf18e1e7722d66fa0c2b5e5a3396d
:efb9fa36414f65dc1210ced1019f6c4a9af2fd9a
:1549fa82995429ce8101a970182cd0b2362c3121
:404a4230c3bbdb0c261dbf54d9fa17d99c2a9e3d
:33d0732d9c6b15877873ce65e18db18844668273
:0aa29c54f13bd753c8edfe8930bce30ed40fff39
:02325bbbfa06eacb1c9bdd0546ff69db1b1ddc3f
:1a9d0bb3a7dfde4243d58b16fde478c44ba6a6f6
:819b8b884ec31fc25299c753b39c2f511012e79c
:841bfd78983f108515d5d0b106a8430ef52ad872
:1ecbaf5c5ac1f22012c83df335687b3c09ae5289
:8601212ed1da7db075ac10e455234f675b3089e9
:55433495aa80cf9e1f994ea7e7ae278422ef1ede
:57e358eea7e9a0cdd0ccacc3119b609bed0d8a5c

comment:
:LibreOffice 3.3.4 crashes when opening a master document (odm) exported to (odt) for the first time, when updating links.
:
:I can reproduce this crash always.
:
:1. Create a master document with some sub-documents.
:2. Save the master document (odm).
:3. Export the master document odm > odt.
:4. Open the master document odt using the icon (Open (Ctrl+O)
:5. Update links window > yes
:6 LO crashes and terminates.
:7. ABRT reprote generated
:
:Note: after the first crash, I can open the exported masterdocument.odt and click "update links" just fine. The crash only occurs the first time I open it.

environ:
:XDG_SESSION_ID=1
:SSH_AGENT_PID=1229
:HOSTNAME=nh28d
:SAL_USE_VCLPLUGIN=gtk
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:TERM=dumb
:SHELL=/bin/bash
:XDG_MENU_PREFIX=lxde-
:HISTSIZE=1000
:XDG_SESSION_COOKIE=c1c8ee9f2e790e7a86c758f000000017-1328739842.697142-2027187571
:OLDPWD=/usr/lib/libreoffice/program
:GNOME_KEYRING_CONTROL=/tmp/keyring-nm83Fy
:IMSETTINGS_MODULE=IBus
:USER=mt
:LD_LIBRARY_PATH=/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/client:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386/native_threads:/usr/lib/jvm/java-1.6.0-openjdk-1.6.0.0/jre/lib/i386
:SSH_AUTH_SOCK=/tmp/ssh-CnITop1127/agent.1127
:MAIL=/var/spool/mail/mt
:PATH=/usr/lib/libfm:/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mt/bin
:DESKTOP_SESSION=LXDE
:QT_IM_MODULE=ibus
:PWD=/home/mt
:XMODIFIERS=@im=ibus
:EDITOR=nano
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=1057
:_LXSESSION_PID=1127
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=3
:HOME=/home/mt
:XDG_CONFIG_HOME=/home/mt/.config
:SAL_ENABLE_FILE_LOCKING=1
:LOGNAME=mt
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Knxjl5NBLm,guid=9287dc18da227331024e30d20000007f
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:PREFERRED=/usr/bin/startlxde
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/mt
:XDG_CURRENT_DESKTOP=LXDE
:GTK_IM_MODULE=ibus
:G_BROKEN_FILENAMES=1
:XAUTHORITY=/home/mt/.Xauthority
:_=/usr/lib/libreoffice/program/swriter.bin

event_log:
:2012-02-09-18:55:35> Querying server settings
:2012-02-09-18:55:42  Preparing an archive to upload
:2012-02-09-18:56:33  Uploading 10513672 bytes
:2012-02-09-18:56:44  Uploading 1%
:2012-02-09-18:56:57  Uploading 3%
:2012-02-09-18:57:09  Uploading 4%
:2012-02-09-18:57:20  Uploading 5%
:2012-02-09-18:57:30  Uploading 6%
:2012-02-09-18:57:41  Uploading 7%
:2012-02-09-18:57:53  Uploading 8%
:2012-02-09-18:58:03  Uploading 9%
:2012-02-09-18:58:15  Uploading 10%
:2012-02-09-18:58:26  Uploading 12%
:2012-02-09-18:58:36  Uploading 13%
:2012-02-09-18:58:48  Uploading 14%
:2012-02-09-18:58:59  Uploading 15%
:2012-02-09-18:59:12  Uploading 16%
:2012-02-09-18:59:22  Uploading 18%
:2012-02-09-18:59:33  Uploading 19%
:2012-02-09-18:59:44  Uploading 20%
:2012-02-09-19:00:02  Uploading 21%
:2012-02-09-19:00:13  Uploading 23%
:2012-02-09-19:00:24  Uploading 23%
:2012-02-09-19:00:35  Uploading 24%
:2012-02-09-19:00:46  Uploading 26%
:2012-02-09-19:00:57  Uploading 27%
:2012-02-09-19:01:10  Uploading 29%
:2012-02-09-19:01:21  Uploading 30%
:2012-02-09-19:01:32  Uploading 31%
:2012-02-09-19:01:42  Uploading 33%
:2012-02-09-19:01:52  Uploading 34%
:2012-02-09-19:02:06  Uploading 35%
:2012-02-09-19:02:17  Uploading 36%
:2012-02-09-19:02:31  Uploading 38%
:2012-02-09-19:02:41  Uploading 39%
:2012-02-09-19:02:51  Uploading 41%
:2012-02-09-19:03:02  Uploading 42%
:2012-02-09-19:03:13  Uploading 43%
:2012-02-09-19:03:26  Uploading 45%
:2012-02-09-19:03:40  Uploading 46%
:2012-02-09-19:03:51  Uploading 47%
:2012-02-09-19:04:01  Uploading 48%
:2012-02-09-19:04:13  Uploading 50%
:2012-02-09-19:04:24  Uploading 51%
:2012-02-09-19:04:36  Uploading 53%
:2012-02-09-19:04:48  Uploading 54%
:2012-02-09-19:04:58  Uploading 55%
:2012-02-09-19:05:09  Uploading 56%
:2012-02-09-19:05:21  Uploading 57%
:2012-02-09-19:05:33  Uploading 59%
:2012-02-09-19:05:45  Uploading 60%
:2012-02-09-19:05:56  Uploading 61%
:2012-02-09-19:06:06  Uploading 62%
:2012-02-09-19:06:18  Uploading 63%
:2012-02-09-19:06:29  Uploading 65%
:2012-02-09-19:06:39  Uploading 66%
:2012-02-09-19:07:01  Uploading 67%
:2012-02-09-19:07:13  Uploading 68%
:2012-02-09-19:07:23  Uploading 70%
:2012-02-09-19:07:35  Uploading 71%
:2012-02-09-19:07:45  Uploading 72%
:2012-02-09-19:07:56  Uploading 73%
:2012-02-09-19:08:07  Uploading 74%
:2012-02-09-19:08:18  Uploading 76%
:2012-02-09-19:08:28  Uploading 77%
:2012-02-09-19:08:40  Uploading 78%
:2012-02-09-19:08:51  Uploading 80%
:2012-02-09-19:09:01  Uploading 81%
:2012-02-09-19:09:11  Uploading 82%
:2012-02-09-19:09:21  Uploading 83%
:2012-02-09-19:09:31  Uploading 84%
:2012-02-09-19:09:44  Uploading 85%
:2012-02-09-19:09:56  Uploading 86%
:2012-02-09-19:10:06  Uploading 87%
:2012-02-09-19:10:19  Uploading 89%
:2012-02-09-19:10:29  Uploading 90%
:2012-02-09-19:10:39  Uploading 91%
:2012-02-09-19:10:49  Uploading 92%
:2012-02-09-19:11:00  Uploading 94%
:2012-02-09-19:11:10  Uploading 95%
:2012-02-09-19:11:20  Uploading 96%
:2012-02-09-19:11:32  Uploading 97%
:2012-02-09-19:11:47  Uploading 99%
:2012-02-09-19:11:52  Upload successful
:2012-02-09-19:12:00  There is a problem on the server side: Unable to obtain unpacked size.
:2012-02-09-19:12:00* (exited with 1)
:2012-02-09-19:51:54> Querying server settings
:2012-02-09-19:51:58  Preparing an archive to upload
:2012-02-09-19:52:43  Uploading 10513672 bytes
:2012-02-09-19:52:55  Uploading 1%
:2012-02-09-19:53:05  Uploading 2%
:2012-02-09-19:53:17  Uploading 4%
:2012-02-09-19:53:28  Uploading 5%
:2012-02-09-19:53:38  Uploading 6%
:2012-02-09-19:53:48  Uploading 8%
:2012-02-09-19:53:59  Uploading 9%
:2012-02-09-19:54:10  Uploading 10%
:2012-02-09-19:54:22  Uploading 12%
:2012-02-09-19:54:33  Uploading 13%
:2012-02-09-19:54:45  Uploading 15%
:2012-02-09-19:54:57  Uploading 16%
:2012-02-09-19:55:08  Uploading 18%
:2012-02-09-19:55:18  Uploading 19%
:2012-02-09-19:55:34  Uploading 20%
:2012-02-09-19:55:45  Uploading 21%
:2012-02-09-19:55:55  Uploading 22%
:2012-02-09-19:56:05  Uploading 23%
:2012-02-09-19:56:16  Uploading 25%
:2012-02-09-19:56:33  Uploading 27%
:2012-02-09-19:56:43  Uploading 28%
:2012-02-09-19:56:53  Uploading 29%
:2012-02-09-19:57:03  Uploading 30%
:2012-02-09-19:57:13  Uploading 32%
:2012-02-09-19:57:32  Uploading 33%
:2012-02-09-19:57:50  Uploading 33%
:2012-02-09-19:58:00  Uploading 34%
:2012-02-09-19:58:12  Uploading 36%
:2012-02-09-19:58:22  Uploading 38%
:2012-02-09-19:58:34  Uploading 38%
:2012-02-09-19:58:48  Uploading 40%
:2012-02-09-19:58:58  Uploading 42%
:2012-02-09-19:59:09  Uploading 43%
:2012-02-09-19:59:20  Uploading 44%
:2012-02-09-19:59:30  Uploading 45%
:2012-02-09-19:59:40  Uploading 47%
:2012-02-09-19:59:50  Uploading 48%
:2012-02-09-20:00:00  Uploading 49%
:2012-02-09-20:00:11  Uploading 50%
:2012-02-09-20:00:24  Uploading 52%
:2012-02-09-20:00:35  Uploading 52%
:2012-02-09-20:00:45  Uploading 54%
:2012-02-09-20:00:55  Uploading 55%
:2012-02-09-20:01:06  Uploading 57%
:2012-02-09-20:01:17  Uploading 58%
:2012-02-09-20:01:28  Uploading 60%
:2012-02-09-20:01:40  Uploading 61%
:2012-02-09-20:01:50  Uploading 62%
:2012-02-09-20:02:01  Uploading 63%
:2012-02-09-20:02:11  Uploading 65%
:2012-02-09-20:02:24  Uploading 66%
:2012-02-09-20:02:35  Uploading 67%
:2012-02-09-20:02:46  Uploading 69%
:2012-02-09-20:02:56  Uploading 70%
:2012-02-09-20:03:07  Uploading 71%
:2012-02-09-20:03:20  Uploading 72%
:2012-02-09-20:03:30  Uploading 73%
:2012-02-09-20:03:41  Uploading 74%
:2012-02-09-20:03:57  Uploading 75%
:2012-02-09-20:04:09  Uploading 76%
:2012-02-09-20:04:20  Uploading 77%
:2012-02-09-20:04:33  Uploading 78%
:2012-02-09-20:04:44  Uploading 79%
:2012-02-09-20:04:55  Uploading 80%
:2012-02-09-20:05:06  Uploading 81%
:2012-02-09-20:05:19  Uploading 81%
:2012-02-09-20:05:30  Uploading 82%
:2012-02-09-20:05:40  Uploading 83%
:2012-02-09-20:05:51  Uploading 84%
:2012-02-09-20:06:06  Uploading 85%
:2012-02-09-20:06:18  Uploading 86%
:2012-02-09-20:06:32  Uploading 87%
:2012-02-09-20:06:43  Uploading 87%
:2012-02-09-20:06:57  Uploading 88%
:2012-02-09-20:07:08  Uploading 89%
:2012-02-09-20:07:20  Uploading 90%
:2012-02-09-20:07:36  Uploading 90%
:2012-02-09-20:07:48  Uploading 91%
:2012-02-09-20:08:00  Uploading 92%
:2012-02-09-20:08:11  Uploading 93%
:2012-02-09-20:08:22  Uploading 94%
:2012-02-09-20:08:33  Uploading 95%
:2012-02-09-20:08:47  Uploading 96%
:2012-02-09-20:08:59  Uploading 97%
:2012-02-09-20:09:12  Uploading 98%
:2012-02-09-20:09:32  Uploading 99%
:2012-02-09-20:09:35  Upload successful
:2012-02-09-20:09:46  There is a problem on the server side: Unable to obtain unpacked size.
:2012-02-09-20:09:46* (exited with 1)
:2012-02-09-20:02:26> Querying server settings
:2012-02-09-20:02:30  Preparing an archive to upload
:2012-02-09-20:03:09  Uploading 10513672 bytes
:2012-02-09-20:03:20  Uploading 1%
:2012-02-09-20:03:35  Uploading 2%
:2012-02-09-20:03:50  Uploading 3%
:2012-02-09-20:04:05  Uploading 4%
:2012-02-09-20:04:20  Uploading 4%
:2012-02-09-20:04:33  Uploading 6%
:2012-02-09-20:04:50  Uploading 7%
:2012-02-09-20:05:02  Uploading 7%
:2012-02-09-20:05:13  Uploading 8%
:2012-02-09-20:05:24  Uploading 9%
:2012-02-09-20:05:36  Uploading 9%
:2012-02-09-20:05:50  Uploading 11%
:2012-02-09-20:06:02  Uploading 11%
:2012-02-09-20:06:13  Uploading 12%
:2012-02-09-20:06:26  Uploading 13%
:2012-02-09-20:06:37  Uploading 14%
:2012-02-09-20:06:48  Uploading 15%
:2012-02-09-20:06:59  Uploading 16%
:2012-02-09-20:07:11  Uploading 17%
:2012-02-09-20:07:23  Uploading 18%
:2012-02-09-20:07:34  Uploading 19%
:2012-02-09-20:07:45  Uploading 20%
:2012-02-09-20:07:56  Uploading 22%
:2012-02-09-20:08:06  Uploading 22%
:2012-02-09-20:08:16  Uploading 23%
:2012-02-09-20:08:32  Uploading 24%
:2012-02-09-20:08:46  Uploading 24%
:2012-02-09-20:09:02  Uploading 25%
:2012-02-09-20:09:12  Uploading 26%
:2012-02-09-20:09:29  Uploading 27%
:2012-02-09-20:09:42  Uploading 28%
:2012-02-09-20:09:54  Uploading 29%
:2012-02-09-20:10:05  Uploading 30%
:2012-02-09-20:10:17  Uploading 32%
:2012-02-09-20:10:28  Uploading 33%
:2012-02-09-20:10:38  Uploading 34%
:2012-02-09-20:10:50  Uploading 35%
:2012-02-09-20:11:00  Uploading 36%
:2012-02-09-20:11:12  Uploading 38%
:2012-02-09-20:11:23  Uploading 39%
:2012-02-09-20:11:35  Uploading 40%
:2012-02-09-20:11:45  Uploading 42%
:2012-02-09-20:11:55  Uploading 43%
:2012-02-09-20:12:08  Uploading 44%
:2012-02-09-20:12:18  Uploading 45%
:2012-02-09-20:12:30  Uploading 47%
:2012-02-09-20:12:44  Uploading 47%
:2012-02-09-20:12:55  Uploading 49%
:2012-02-09-20:13:06  Uploading 51%
:2012-02-09-20:13:20  Uploading 52%
:2012-02-09-20:13:32  Uploading 53%
:2012-02-09-20:13:43  Uploading 55%
:2012-02-09-20:13:55  Uploading 56%
:2012-02-09-20:14:05  Uploading 57%
:2012-02-09-20:14:18  Uploading 58%
:2012-02-09-20:14:29  Uploading 60%
:2012-02-09-20:14:40  Uploading 61%
:2012-02-09-20:14:51  Uploading 62%
:2012-02-09-20:15:03  Uploading 63%
:2012-02-09-20:15:15  Uploading 64%
:2012-02-09-20:15:25  Uploading 66%
:2012-02-09-20:15:35  Uploading 67%
:2012-02-09-20:15:46  Uploading 68%
:2012-02-09-20:15:59  Uploading 70%
:2012-02-09-20:16:10  Uploading 71%
:2012-02-09-20:16:21  Uploading 72%
:2012-02-09-20:16:32  Uploading 73%
:2012-02-09-20:16:42  Uploading 75%
:2012-02-09-20:16:53  Uploading 76%
:2012-02-09-20:17:04  Uploading 78%
:2012-02-09-20:17:19  Uploading 79%
:2012-02-09-20:17:31  Uploading 81%
:2012-02-09-20:17:42  Uploading 82%
:2012-02-09-20:17:52  Uploading 83%
:2012-02-09-20:18:04  Uploading 84%
:2012-02-09-20:18:16  Uploading 85%
:2012-02-09-20:18:27  Uploading 86%
:2012-02-09-20:18:37  Uploading 87%
:2012-02-09-20:18:50  Uploading 89%
:2012-02-09-20:19:00  Uploading 90%
:2012-02-09-20:19:10  Uploading 91%
:2012-02-09-20:19:23  Uploading 92%
:2012-02-09-20:19:35  Uploading 94%
:2012-02-09-20:19:48  Uploading 95%
:2012-02-09-20:19:59  Uploading 97%
:2012-02-09-20:20:11  Uploading 98%
:2012-02-09-20:20:22  Uploading 99%
:2012-02-09-20:20:26  Upload successful
:2012-02-09-20:20:34  Retrace job started
:2012-02-09-20:20:47  Analyzing crash data
:2012-02-09-20:21:09  Analyzing crash data
:2012-02-09-20:21:21  Analyzing crash data
:2012-02-09-20:21:33  Initializing virtual root
:2012-02-09-20:21:53  Initializing virtual root
:2012-02-09-20:22:05  Initializing virtual root
:2012-02-09-20:22:30  Initializing virtual root
:2012-02-09-20:22:42  Initializing virtual root
:2012-02-09-20:22:57  Initializing virtual root
:2012-02-09-20:23:09  Initializing virtual root
:2012-02-09-20:23:23  Initializing virtual root
:2012-02-09-20:23:35  Initializing virtual root
:2012-02-09-20:23:53  Initializing virtual root
:2012-02-09-20:24:08  Initializing virtual root
:2012-02-09-20:24:22  Initializing virtual root
:2012-02-09-20:24:34  Initializing virtual root
:2012-02-09-20:24:46  Initializing virtual root
:2012-02-09-20:24:58  Initializing virtual root
:2012-02-09-20:25:15  Initializing virtual root
:2012-02-09-20:25:29  Initializing virtual root
:2012-02-09-20:25:48  Initializing virtual root
:2012-02-09-20:26:00  Initializing virtual root
:2012-02-09-20:26:21  Initializing virtual root
:2012-02-09-20:26:35  Initializing virtual root
:2012-02-09-20:26:52  Initializing virtual root
:2012-02-09-20:27:06  Initializing virtual root
:2012-02-09-20:27:19  Initializing virtual root
:2012-02-09-20:27:31  Initializing virtual root
:2012-02-09-20:27:45  Initializing virtual root
:2012-02-09-20:28:00  Initializing virtual root
:2012-02-09-20:28:55  Initializing virtual root
:2012-02-09-20:29:25  Initializing virtual root
:2012-02-09-20:29:50  Initializing virtual root
:2012-02-09-20:30:02  Initializing virtual root
:2012-02-09-20:30:24  Initializing virtual root
:2012-02-09-20:30:45  Initializing virtual root
:2012-02-09-20:31:15  Initializing virtual root
:2012-02-09-20:31:40  Initializing virtual root
:2012-02-09-20:32:16  Initializing virtual root
:2012-02-09-20:32:28  Initializing virtual root
:2012-02-09-20:32:47  Generating backtrace
:2012-02-09-20:33:10  Retrace job finished successfully
:2012-02-09-21:48:53> Element 'xsession_errors' saved

var_log_messages:
:Feb  8 15:39:44 nh28d kernel: [28131.991546] swriter.bin[4321]: segfault at 0 ip 4b1881ed sp bfa922d4 error 4 in libswli.so[4a8ff000+d51000]
:Feb  8 15:39:49 nh28d abrt[7866]: saved core dump of pid 4321 (/usr/lib/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2012-02-08-15:39:45-4321.new/coredump (137383936 bytes)
:Feb  8 17:55:34 nh28d kernel: [36281.632522] swriter.bin[7906]: segfault at 2d ip 4b0d64be sp bfad1b9c error 4 in libswli.so[4a8ff000+d51000]
:Feb  8 17:55:38 nh28d abrt[10197]: saved core dump of pid 7906 (/usr/lib/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2012-02-08-17:55:34-7906.new/coredump (137244672 bytes)
:Feb  8 17:58:01 nh28d kernel: [36429.145976] swriter.bin[10234]: segfault at 2a ip 4b0d64be sp bfee067c error 4 in libswli.so[4a8ff000+d51000]
:Feb  8 17:58:03 nh28d abrt[10311]: saved core dump of pid 10234 (/usr/lib/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2012-02-08-17:58:01-10234.new/coredump (97996800 bytes)
:Feb  9 10:20:04 nh28d kernel: [10687.760556] swriter.bin[2102]: segfault at 27 ip 4b0d64be sp bf912d3c error 4 in libswli.so[4a8ff000+d51000]
:Feb  9 10:20:06 nh28d abrt[3591]: saved core dump of pid 2102 (/usr/lib/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2012-02-09-10:20:04-2102.new/coredump (115220480 bytes)
:Feb  9 17:05:27 nh28d abrt[8609]: saved core dump of pid 3648 (/usr/lib/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2012-02-09-17:05:20-3648.new/coredump (223129600 bytes)
:Feb  9 18:45:17 nh28d kernel: [41000.586624] swriter.bin[8661]: segfault at 0 ip 4b1881ed sp bfebd2c4 error 4 in libswli.so[4a8ff000+d51000]
:Feb  9 18:45:21 nh28d abrt[10215]: saved core dump of pid 8661 (/usr/lib/libreoffice/program/swriter.bin) to /var/spool/abrt/ccpp-2012-02-09-18:45:17-8661.new/coredump (139177984 bytes)
Comment 1 nomnex 2012-02-09 07:49:55 EST
Created attachment 560571 [details]
File: dso_list
Comment 2 nomnex 2012-02-09 07:50:05 EST
Created attachment 560572 [details]
File: maps
Comment 3 nomnex 2012-02-09 07:50:14 EST
Created attachment 560573 [details]
File: backtrace
Comment 4 nomnex 2012-02-09 07:51:45 EST
Package: libreoffice-writer-3.3.4.1-2.fc15
Architecture: i686
OS Release: Fedora release 15 (Lovelock)

Comment
-----
LibreOffice 3.3.4 crashes when opening a master document (odm) exported to (odt) for the first time, when updating links.

I can reproduce this crash always.

1. Create a master document with some sub-documents.
2. Save the master document (odm).
3. Export the master document odm > odt.
4. Open the master document odt using the icon (Open (Ctrl+O)
5. Update links window > yes
6 LO crashes and terminates.
7. ABRT reprote generated

Note: after the first crash, I can open the exported masterdocument.odt and click "update links" just fine. The crash only occurs the first time I open it.
Comment 5 Caolan McNamara 2012-02-09 08:16:39 EST
if you can upload a tarball of a sample crashing-setup that'd be super helpful
Comment 6 nomnex 2012-02-09 09:42:31 EST
Created attachment 560606 [details]
sample files

It did not go too well using ABRT to report a LO crash:
Retrace server has failed at 97% with an error message about "a package or archive"
Local Gnu debugger has failed

Zip content

masterdoc.odm
chap1.odt
chap2.odt

masterdoc.otd

I can reproduce the crash on my system exporting the odm file to odt, opening the odt and clicking yes to update the links (first time).
Comment 7 Caolan McNamara 2012-02-09 11:26:53 EST
hmm, doesn't crash for me with 3.4.5 in F-16 anyway. Wonder if we fixed it, or if its still there except in a different guise.

caolanm->mstahl: can you check that this is working as it should be, and/if its a known 3.3.X bug with a low-hanging fix for backporting
Comment 8 nomnex 2012-02-09 20:05:32 EST
Created attachment 560742 [details]
sample_odm+odt_final

Thanks for the feedback.
I have tried again 2 more times this morning with the files attached in the archive "sample_odm+odt_final" attached.

I guess, these are the exact same files I sent in my comment yesterday--but I was pretty tired the other night.

On F15 with LO Ver: 3.3.4.1-2.fc15, on my system at least, I confirm a LO crash always reproducible.

Steps:

- Open the odm (inc. 2 sub-docs.odt) in the latest zip file.
- Export the odm to odt
- Open the newly exported masterdoc.odt
- Update the links
- a crash occurs (+ABRT pops in)

---

Note (need info):

This is unrelated, but I affected by the bug:
Figure cross-reference error in master document
https://issues.apache.org/ooo/show_bug.cgi?id=100448

Could you tell me where to report/vote/follow LibreOffice bugs upstream? And, as a LO user, is it relevant to post bugs on the apache tracker?
Comment 9 nomnex 2012-02-09 20:08:51 EST
nb: there is a masterdoc-crossrefnew.odt in the archive.
this is probably obvious, but please don't use this file, and generate a new odt from the odm. Thank you.
Comment 10 nomnex 2012-02-09 21:36:36 EST
Created attachment 560745 [details]
ABRT reports (print-screen)

I am using Fedora 15 LXDE.
It uses the lxpanel. There is (are) known bug(s) with the lxpanel, but no maintainer at this day.

On my system, the lxpanel frequently freezes when I use Firefox or LibreOffice. LibreOffice does not crash though -- as long as I edited a single document. I terminate the lxpanel, and restart it several times a day.

Ever since I use LO Writer with a "Master Documents", LO crashes repeatedly. It is not only when I convert a odm > odt, but also when I edit a master document, or one of the sub-documents.

It makes me wonder if the crashes are LO related, or lxpanel related? I have enclosed a print-screen of the ABRT for information. If you can't reproduce the crash on a F-15 version, I am afraid that lxpanel is the culprit.
Comment 11 nomnex 2012-02-10 00:37:31 EST
(In reply to comment #8)
> Note (need info):
> 
> This is unrelated, but I affected by the bug:
> Figure cross-reference error in master document
> https://issues.apache.org/ooo/show_bug.cgi?id=100448
> 
> Could you tell me where to report/vote/follow LibreOffice bugs upstream? And,
> as a LO user, is it relevant to post bugs on the apache tracker?

https://bugs.freedesktop.org/show_bug.cgi?id=35669
Comment 12 Caolan McNamara 2012-02-10 04:13:07 EST
crash is probably fixed by https://bugs.freedesktop.org/show_bug.cgi?id=32575 

Will be in >= libreoffice-3.3.4.1-3.fc15
Comment 13 nomnex 2012-02-11 01:06:10 EST
Thanks for the feedback. How do I know when libreoffice-3.3.4.1-3.fc15 is available for testing, in bodhi - Along this bug report?
Comment 14 Caolan McNamara 2012-02-13 06:04:23 EST
yeah, you'll get a "update available for testing" email as this bug gets updated by the update system
Comment 15 nomnex 2012-04-22 04:46:56 EDT
How about this package? I have seen in Bodhi yet, and F15 EOL is a few weeks away. Thanks.
Comment 16 Caolan McNamara 2012-04-24 08:49:52 EDT
seems to have slipped between the cracks, oops.
Comment 17 Fedora Update System 2012-04-25 06:56:39 EDT
libreoffice-3.3.4.1-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/libreoffice-3.3.4.1-4.fc15
Comment 18 nomnex 2012-04-25 08:52:37 EDT
I am going to test-install. thanks Coalan.
Comment 19 Fedora Update System 2012-04-27 01:49:18 EDT
Package libreoffice-3.3.4.1-4.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-3.3.4.1-4.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-6716/libreoffice-3.3.4.1-4.fc15
then log in and leave karma (feedback).
Comment 20 Fedora Update System 2012-05-04 16:28:05 EDT
libreoffice-3.3.4.1-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.